Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364717 - [abrt] qt5-qtbase: QObject::disconnect(QObject const*, char const*, QObject const*, char const*)(): python3.5 killed by SIGSEGV
Summary: [abrt] qt5-qtbase: QObject::disconnect(QObject const*, char const*, QObject c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:16398979304976a690206bd3a1f...
: 1362522 1412048 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-06 13:49 UTC by Bernhard Furtmueller
Modified: 2017-07-23 22:55 UTC (History)
13 users (show)

Fixed In Version: qt5-qtbase-5.7.1-19.fc26 qt5-qtbase-5.7.1-19.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-20 15:54:34 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-06 13:49 UTC, Bernhard Furtmueller
no flags Details
File: cgroup (deleted)
2016-08-06 13:49 UTC, Bernhard Furtmueller
no flags Details
File: core_backtrace (deleted)
2016-08-06 13:49 UTC, Bernhard Furtmueller
no flags Details
File: dso_list (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: environ (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: exploitable (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: limits (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: maps (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: mountinfo (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: namespaces (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: open_fds (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: proc_pid_status (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details
File: var_log_messages (deleted)
2016-08-06 13:50 UTC, Bernhard Furtmueller
no flags Details

Description Bernhard Furtmueller 2016-08-06 13:49:49 UTC
Description of problem:
openshot-qt failed in different situations with segfaults in libQt5Core.so.5.6.1

Version-Release number of selected component:
qt5-qtbase-5.6.1-3.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/openshot-qt
crash_function: QObject::disconnect(QObject const*, char const*, QObject const*, char const*)
executable:     /usr/bin/python3.5
global_pid:     14641
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 9F63 8721 B754 6F06
pkg_vendor:     RPM Fusion
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Bernhard Furtmueller 2016-08-06 13:49:55 UTC
Created attachment 1188163 [details]
File: backtrace

Comment 2 Bernhard Furtmueller 2016-08-06 13:49:56 UTC
Created attachment 1188164 [details]
File: cgroup

Comment 3 Bernhard Furtmueller 2016-08-06 13:49:58 UTC
Created attachment 1188165 [details]
File: core_backtrace

Comment 4 Bernhard Furtmueller 2016-08-06 13:50:01 UTC
Created attachment 1188166 [details]
File: dso_list

Comment 5 Bernhard Furtmueller 2016-08-06 13:50:03 UTC
Created attachment 1188167 [details]
File: environ

Comment 6 Bernhard Furtmueller 2016-08-06 13:50:05 UTC
Created attachment 1188168 [details]
File: exploitable

Comment 7 Bernhard Furtmueller 2016-08-06 13:50:07 UTC
Created attachment 1188169 [details]
File: limits

Comment 8 Bernhard Furtmueller 2016-08-06 13:50:10 UTC
Created attachment 1188170 [details]
File: maps

Comment 9 Bernhard Furtmueller 2016-08-06 13:50:12 UTC
Created attachment 1188171 [details]
File: mountinfo

Comment 10 Bernhard Furtmueller 2016-08-06 13:50:13 UTC
Created attachment 1188172 [details]
File: namespaces

Comment 11 Bernhard Furtmueller 2016-08-06 13:50:15 UTC
Created attachment 1188173 [details]
File: open_fds

Comment 12 Bernhard Furtmueller 2016-08-06 13:50:17 UTC
Created attachment 1188174 [details]
File: proc_pid_status

Comment 13 Bernhard Furtmueller 2016-08-06 13:50:19 UTC
Created attachment 1188175 [details]
File: var_log_messages

Comment 14 Bernhard Furtmueller 2016-08-06 13:52:22 UTC
Upstream this seems to be https://bugreports.qt.io/browse/QTBUG-52988

Comment 15 Zdenek Dohnal 2017-07-17 07:28:13 UTC
*** Bug 1412048 has been marked as a duplicate of this bug. ***

Comment 16 Ngo Than 2017-07-17 19:02:30 UTC
it's fixed in qt5-qtbase-5.7.1-19 for f25/f26. f24 will reach EOL very soon, in my opinion it does not make sense to backport it to old qt version.
Please update your system to F25 or better to F26.

Thanks

Comment 17 Ngo Than 2017-07-18 11:02:08 UTC
*** Bug 1372951 has been marked as a duplicate of this bug. ***

Comment 18 Ngo Than 2017-07-18 12:03:46 UTC
*** Bug 1362522 has been marked as a duplicate of this bug. ***

Comment 19 Zdenek Dohnal 2017-07-18 13:14:46 UTC
Hi,

the issue is still on Fedora 26 (same issue https://bugzilla.redhat.com/show_bug.cgi?id=1470012 ). This is written at https://bugreports.qt.io/browse/QTBUG-52988 : Fix(s) Version: 5.9.0 Alpha .

Comment 20 Ngo Than 2017-07-18 14:58:24 UTC
it's fixed in qt5-qtbase-5.7.1-19.fc26

Comment 21 Zdenek Dohnal 2017-07-18 15:44:22 UTC
Great, thanks!

Comment 22 Fedora Update System 2017-07-19 11:41:26 UTC
qt5-qtbase-5.7.1-19.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0863592f6

Comment 23 Fedora Update System 2017-07-20 00:26:34 UTC
qt5-qtbase-5.7.1-19.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0863592f6

Comment 24 Fedora Update System 2017-07-20 06:53:01 UTC
qt5-qtbase-5.7.1-19.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e229cf5d7c

Comment 25 Fedora Update System 2017-07-20 15:54:34 UTC
qt5-qtbase-5.7.1-19.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-07-23 22:55:28 UTC
qt5-qtbase-5.7.1-19.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.